\begin{tikzpicture}[
  scale                      = 0.9,
  align                      = center,
  edge from parent/.style    = {
    draw, ->, >={Stealth[width=6pt,length=9pt]}
  },
  level 1/.style             = {level distance=18mm},
  level 2/.style             = {level distance=20mm},
  level 3/.style             = {level distance=20mm},
  every node/.style          = {
    scale=0.9,
    shape=rectangle,
    fill=AbstractDescrNode,
    text=black,
    draw=AbstractDescrNodeBorder,
    line width=0.8mm
  },
  MatchedNode/.style         = {draw=AbstractDescrNodeMatchedBorder},
  MismatchedNode/.style      = {draw=AbstractDescrNodeMismatchedBorder},
  NotCheckedNode/.style      = {draw=AbstractDescrNodeNotCheckedBorder},
  MatchedStampNode/.style    = {draw=AbstractDescrNodeMatchedBorder, dashed},
  NotCheckedStampNode/.style = {draw=AbstractDescrNodeNotCheckedBorder,
                                dashed}
]
  \Tree [.\node[MatchedNode](E){Descr1};
            [.\node[MatchedNode](E1){Descr2};
                [.\node[MatchedNode](E11){Descr3};
                    [.\node[NotCheckedNode]{Descr6};]]
                [.\node[MismatchedNode](E12){Descr4};]]]
  \begin{scope}[xshift=70mm]
    \Tree [.\node[MatchedNode](RE){Descr1};
              [.\node[MatchedNode](RE1){Descr2};
                  [.\node[MatchedNode, dashed](RE11){StubDescr};]
                  [.\node[MismatchedNode](RE12){Descr5};]]]
  \end{scope}

  \draw node[draw=white, fill=white, text=black]
        at ($(E1)!0.47!(RE1)$)
        {\huge{\hcancel{$\mathrel{\boldsymbol{\thicksim}}\boldsymbol{=}$}}};
\end{tikzpicture}
